summaryrefslogtreecommitdiffstats
path: root/source/current
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-05-07 12:55:23 +0000
committer Eric Hameleers <alien@slackware.com>2017-05-07 12:55:23 +0000
commit909b964d2267e3d8a7a4741066622a081ab35e0b (patch)
treef2f39ee772a4605662041e784ccf51cb363a3bdc /source/current
parentc7d079d32629b5e002af7bde92e50c5a35529e0f (diff)
downloadmultilib-909b964d2267e3d8a7a4741066622a081ab35e0b.tar.gz
multilib-909b964d2267e3d8a7a4741066622a081ab35e0b.tar.xz
glibc-multilib: Revert patches that cause spurious warnings about IFUNC symbols
Diffstat (limited to 'source/current')
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 0040dc2..9538358 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.25}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-1alien}
+BUILD=${BUILD:-2alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -162,7 +162,11 @@ apply_patches() {
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Make it harder for people to trick ldd into running code:
zcat $CWD/glibc.ldd.trace.through.dynamic.linker.diff.gz | patch -p1 --verbose || exit 1
+ # Add a C.UTF-8 locale:
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
+ # Revert patches that cause spurious warnings about IFUNC symbols:
+ zcat $CWD/glibc.IFUNC.i386.revert.diff.gz | patch -p1 --verbose || exit 1
+ zcat $CWD/glibc.IFUNC.x86_64.revert.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;